package com.simuwang.manage.service.system;

import com.simuwang.base.common.support.MybatisPage;
import com.simuwang.base.pojo.dos.SysConfigDO;
import com.simuwang.base.pojo.dto.query.ConfigPageQuery;
import com.simuwang.base.pojo.vo.SysConfigVO;
import com.smppw.common.pojo.ResultVo;

import java.util.List;

/**
 * FileName: SysConfigService
 * Author:   chenjianhua
 * Date:     2024/9/8 11:01
 * Description: ${DESCRIPTION}
 */
public interface SysConfigService {

    boolean checkConfigKeyUnique(SysConfigVO config);

    MybatisPage<SysConfigVO> searchConfigList(ConfigPageQuery query);

    void deleteConfigList(List<Integer> configIdList);

    SysConfigVO searchConfigById(Integer configId);

    ResultVo saveConfig(SysConfigVO sysConfigVO);
}
